#include <stdio.h>

/* the following struct is is defined to real content in babylon.c,
 * but is private to this file. 
 * Other problem: babylon.c includes this file (to check prototypes)
 * So, we have to play with preprocessor */
#ifndef BABYLON_STRUCT 
//struct babylon_struct;
#endif
typedef struct babylon_struct babylon_t;

/************************************
 * constructor/destructor functions *
 ************************************/
babylon_t *babylon_new(char *file_idx,char *file_def);
void babylon_free(babylon_t *b);


/* --[ functions to retrieve the results ]------------------------------- */
/* put the internal pointer to the first definition */
void babylon_def_first(babylon_t *bab);
/* move the pointer forward */
void babylon_def_next(babylon_t *bab);
/* get the values of the current pointer (do not free them) */
void babylon_def_curr(babylon_t *bab,
		      char **word,char **attribute,char **definition);
/* test iff the pointer is at the end of the list */
int  babylon_def_last(babylon_t *bab);
